<div dir="rtl">
	<?php






	$link = mysqli_connect("localhost", "root", "", "shop-moble");
	if (mysqli_connect_errno()) {
		exit("خطایی با این شرح رخ داده است " . mysqli_connect_error());
	}






	$link = mysqli_connect("localhost", "root", "", "shop");
	if (mysqli_connect_errno()) {
		exit("خطایی با این شرح رخ داده است " . mysqli_connect_error());
	}




	if (isset($_GET['action'])) {
		$id = $_GET['id'];
		switch ($_GET['action']) {

			case 'DELETE':

				$query5 = "DELETE FROM mbl
			WHERE mbl_cod='$id'";

				if (mysqli_query($link, $query5) === true) {

					$query8 = "SELECT mbl_cod, mbl_select_cantre, jens, mbl_name, mbl_price, mbl_img, mbl_textarea FROM mbl
			WHERE mbl_cod='$id'";

					$resolt8 = mysqli_query($link, $query8);
					$row8 = mysqli_fetch_array($resolt8);


					$imgggggg = "echo($row8{['mbl_img']})";

					if ($del = unlink("img/$imgggggg"))
						echo ("<p style='color:green;'><b>عکس با موفقیت حذف شد .</b></P>");
					else
						echo ("<p style='color:red;'><b> خطا در حذف عکس</b></P>");

					echo ("<p style='color:green;'><b> مبل با موفقیت حذف شد. </b></P>");
				} else
					echo ("<p style='color:red;'><b> خطا در حذف مبل. </b></P>");
				break;
				mysqli_close($link);
				exit("<p style='color:green;'><b> مبل با موفقیت حذف شد. </b></P>");
		}
	}





	if (
		isset($_POST['mbl_cod']) && !empty($_POST['mbl_cod']) &&
		isset($_POST['mbl_name']) && !empty($_POST['mbl_name']) &&
		isset($_POST['mbl_select_cantre']) && !empty($_POST['mbl_select_cantre']) &&
		isset($_POST['mbl_price']) && !empty($_POST['mbl_price']) &&
		isset($_POST['mbl_textarea']) && !empty($_POST['mbl_textarea'])
	) {



		$mbl_cod = $_POST['mbl_cod'];
		$mbl_name = $_POST['mbl_name'];
		$mbl_select_cantre = $_POST['mbl_select_cantre'];
		$jens = $_POST['jens'];
		$mbl_price = $_POST['mbl_price'];
		$mbl_img = basename($_FILES["mbl_img"]["name"]);
		$mbl_textarea = $_POST['mbl_textarea'];
		echo (1);
	} else
		exit("برخی از فیلد ها مقداردهی نشده است");




	if (isset($_GET['action'])) {
		$id = $_GET['id'];
		switch ($_GET['action']) {
			case 'EDIT':
				$query4 = "UPDATE mbl SET 
			mbl_cod='$mbl_cod',
			mbl_select_cantre='$mbl_select_cantre',
			jens='$jens',
			mbl_name='$mbl_name',
			mbl_price='$mbl_price',
			mbl_img='$mbl_img',
			mbl_textarea='$mbl_textarea' 
				WHERE mbl_cod='$id'";
				if (mysqli_query($link, $query4) === true)
					echo ("<p style='color:green;'><b> مبل انتخاب شده با موفقیت ویرایش شد. </b></P>");
				else
					echo ("<p style='color:red;'><b> خطا در ویرایش مبل. </b></P>");

				break;



				mysqli_close($link);
				exit("");
		}
	}




	$target_dir = "img";
	$target_file = $target_dir . basename($_FILES["mbl_img"]["name"]);
	$uploadok = 1;
	$imagefiletype = pathinfo($target_file, PATHINFO_EXTENSION);

	$chek = getimagesize($_FILES["mbl_img"]["tmp_name"]);
	if ($chek !== false) {
		echo ("پرونده انتخابی یک تصویر از نوع " . $chek["mime"] . "است .");
		$uploadok = 1;
	} else {
		echo ("پرونده انتخابی تصویر نیست <br/>");
		$uploadok = 0;
	}
	if (file_exists($target_file)) {
		echo ("عکسی با همین نام در وب سایت وجود دارد .<br/>");
		$uploadok = 0;
	}
	if ($_FILES["mbl_img"]["size"] < (2000)) {
		echo ("اندازه حجم عکس انتخاب شده بیش از 2mb است .<br/>");
		$uploadok = 0;
	}
	if ($imagefiletype != "jpg" && $imagefiletype != "png" && $imagefiletype != "jpeg" && $imagefiletype != "gif") {
		echo ("فقط عکس هایی که این پسوند ها را دارند 'jpg,png,jpeg,gif' در سایت ثبت می شوند .<br/>");
		$uploadok = 0;
	}

	if ($uploadok == 0) {

		echo ("ثبت نشد");
	} else {
		if (move_uploaded_file($_FILES["mbl_img"]["tmp_name"], $target_file)) {
			echo ("" . basename($_FILES["mbl_img"]["name"]) . " باموفقیت ثبت شد .");
		} else
			echo ("ثبت نشد");
	}
	if ($uploadok == 1) {

		$query = "INSERT INTO mbl(mbl_cod, mbl_select_cantre, jens, mbl_name, mbl_price, mbl_img, mbl_textarea) VALUES ('$mbl_cod','$mbl_select_cantre','$jens','$mbl_name','$mbl_price','$mbl_img','$mbl_textarea')";


		if (mysqli_query($link, $query) === true) {
			echo ("<p style='color:green;'><b>مبل با موفقیت ثبت شد<b/></p>");
		} else
			echo ("<p style='color:red;'><b>خطا در ثبت مبل<b/></p>");
	} else {
		echo ("<p style='color:red;'><b>خطا در ثبت مبل .1.<b/></p>");
	}
	mysqli_close($link);





	?>



</div>